attoparsec-0.13.0.1: Fast combinator parsing for bytestrings and text

Copyright | Bryan O'Sullivan 2007-2015
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | unknown
Safe Haskell | Safe
Language | Haskell98

Data.Attoparsec.Number

Description

Deprecated: This module will be removed in the next major release.

This module is deprecated, and both the module and `Number` type will be removed in the next major release. Use the scientific package and the `Scientific` type instead.

A simple number type, useful for parsing both exact and inexact quantities without losing much precision.

Synopsis

- data Number
  - = I !Integer
  - | D !Double

# Documentation

data Number

A numeric type that can represent integers accurately, and floating point numbers to the precision of a `Double`.

Note: this type is deprecated, and will be removed in the next major release. Use the `Scientific` type instead.

Constructors

I !Integer |
D !Double |

Instances

Eq Number |
Fractional Number |
Data Number |
Num Number |
Ord Number |
Real Number |
RealFrac Number |
Show Number |
NFData Number |